<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'olger',

    /*
     * Package.
     */
    'package'   => 'ing_vhiculo',

    /*
     * Modules.
     */
    'modules'   => ['camabaja', 'descuento', 'tarifa', 'clase_vehiculo', 'ingreso_vehiculo', 'foto', 'factura', 'detalle_facturas', 'info_facturas'],

    'camabaja'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\Camabaja::class,
            'table'                 => 'camabajas',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\CamabajaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id_interno',  'placa',  'propietario',  'conductor'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/camabaja',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'Camabaja',
        ],

    ],
    'descuento'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\Descuento::class,
            'table'                 => 'descuentos',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\DescuentoPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['descripcion',  'aplicaxdias',  'tope_dias',  'valor_descuento',  'descuentox100',  'autorizable'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/descuento',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'Descuento',
        ],

    ],
    'tarifa'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\Tarifa::class,
            'table'                 => 'tarifas',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\TarifaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['descripcion',  'clase_vehiculo_id',  'valor_tarifa',  'aplica_iva',  'aplica_descuento',  'descuento_id'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/tarifa',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'Tarifa',
        ],

    ],
    'clase_vehiculo'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\ClaseVehiculo::class,
            'table'                 => 'clase_vehiculos',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\ClaseVehiculoPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['clase'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/clase_vehiculo',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'ClaseVehiculo',
        ],

    ],
    'ingreso_vehiculo'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\IngresoVehiculo::class,
            'table'                 => 'ingreso_vehiculos',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\IngresoVehiculoPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['usuario_id',  'fecha',  'hora',  'camabaja_id',  'conductor_camabaja',  'policia',  'clase_vehiculo_id',  'placa',  'pais',  'marca',  'modelo',  'color',  'id_chasis',  'id_motor',  'encustodia',  'comparendo',  'servicio_grua',  'fecha_salida',  'hora_salida',  'facturado',  'observaciones',  'estado'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/ingreso_vehiculo',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'IngresoVehiculo',
        ],

    ],
    'foto'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\Foto::class,
            'table'                 => 'fotos',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\FotoPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['ingreso_vehiculos_id',  'ruta_foto'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/foto',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'Foto',
        ],

    ],
    'factura'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\Factura::class,
            'table'                 => 'facturas',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\FacturaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['usuario_id',  'no_factura',  'fecha',  'cliente',  'documento_id',  'direccion',  'telefono',  'no_orden_entrega',  'ingreso_vehiculos_id',  'estado',  'observaciones'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/factura',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'Factura',
        ],

    ],
    'detalle_facturas'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\DetalleFacturas::class,
            'table'                 => 'detalle_facturas',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\DetalleFacturasPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['facturas_id',  'tarifas_id',  'descuento_id',  'dscto_aprobado'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/detalle_facturas',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'DetalleFacturas',
        ],

    ],
    'info_facturas'       => [
        'model' => [
            'model'                 => \Olger\IngVhiculo\Models\InfoFacturas::class,
            'table'                 => 'info_facturas',
            'presenter'             => \Olger\IngVhiculo\Repositories\Presenter\InfoFacturasPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['no_factura',  'resolucion_dian'],
            'translatables'         => [],
            'upload_folder'         => 'ing_vhiculo/info_facturas',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Olger',
            'package'   => 'IngVhiculo',
            'module'    => 'InfoFacturas',
        ],

    ],
];
