<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTarifasTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: tarifas
         */
        Schema::create('tarifas', function ($table) {
            $table->increments('id');
            $table->string('descripcion', 30)->nullable();
            $table->integer('clase_vehiculo_id')->nullable();
            $table->decimal('valor_tarifa', 50)->nullable();
            $table->boolean('aplica_iva')->nullable();
            $table->boolean('aplica_descuento')->nullable();
            $table->integer('descuento_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('tarifas');
    }
}
