<?php

namespace Olger\IngVhiculo\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Camabaja policy
        'Olger\IngVhiculo\Models\Camabaja' => \Olger\IngVhiculo\Policies\CamabajaPolicy::class,// Bind Descuento policy
        'Olger\IngVhiculo\Models\Descuento' => \Olger\IngVhiculo\Policies\DescuentoPolicy::class,// Bind Tarifa policy
        'Olger\IngVhiculo\Models\Tarifa' => \Olger\IngVhiculo\Policies\TarifaPolicy::class,// Bind ClaseVehiculo policy
        'Olger\IngVhiculo\Models\ClaseVehiculo' => \Olger\IngVhiculo\Policies\ClaseVehiculoPolicy::class,// Bind IngresoVehiculo policy
        'Olger\IngVhiculo\Models\IngresoVehiculo' => \Olger\IngVhiculo\Policies\IngresoVehiculoPolicy::class,// Bind Foto policy
        'Olger\IngVhiculo\Models\Foto' => \Olger\IngVhiculo\Policies\FotoPolicy::class,// Bind Factura policy
        'Olger\IngVhiculo\Models\Factura' => \Olger\IngVhiculo\Policies\FacturaPolicy::class,// Bind DetalleFacturas policy
        'Olger\IngVhiculo\Models\DetalleFacturas' => \Olger\IngVhiculo\Policies\DetalleFacturasPolicy::class,// Bind InfoFacturas policy
        'Olger\IngVhiculo\Models\InfoFacturas' => \Olger\IngVhiculo\Policies\InfoFacturasPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
