<?php

namespace Olger\IngVhiculo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CamabajaTransformer extends TransformerAbstract
{
    public function transform(\Olger\IngVhiculo\Models\Camabaja $camabaja)
    {
        return [
            'id'                => $camabaja->getRouteKey(),
            'key'               => [
                'public'    => $camabaja->getPublicKey(),
                'route'     => $camabaja->getRouteKey(),
            ], 
            'id_interno'        => $camabaja->id_interno,
            'placa'             => $camabaja->placa,
            'propietario'       => $camabaja->propietario,
            'conductor'         => $camabaja->conductor,
            'url'               => [
                'public'    => trans_url('ing_vhiculo/'.$camabaja->getPublicKey()),
                'user'      => guard_url('ing_vhiculo/camabaja/'.$camabaja->getRouteKey()),
            ], 
            'status'            => trans('app.'.$camabaja->status),
            'created_at'        => format_date($camabaja->created_at),
            'updated_at'        => format_date($camabaja->updated_at),
        ];
    }
}