<?php

namespace Olger\IngVhiculo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DetalleFacturasTransformer extends TransformerAbstract
{
    public function transform(\Olger\IngVhiculo\Models\DetalleFacturas $detalle_facturas)
    {
        return [
            'id'                => $detalle_facturas->getRouteKey(),
            'key'               => [
                'public'    => $detalle_facturas->getPublicKey(),
                'route'     => $detalle_facturas->getRouteKey(),
            ], 
            'facturas_id'       => $detalle_facturas->facturas_id,
            'tarifas_id'        => $detalle_facturas->tarifas_id,
            'descuento_id'      => $detalle_facturas->descuento_id,
            'dscto_aprobado'    => $detalle_facturas->dscto_aprobado,
            'url'               => [
                'public'    => trans_url('ing_vhiculo/'.$detalle_facturas->getPublicKey()),
                'user'      => guard_url('ing_vhiculo/detalle_facturas/'.$detalle_facturas->getRouteKey()),
            ], 
            'status'            => trans('app.'.$detalle_facturas->status),
            'created_at'        => format_date($detalle_facturas->created_at),
            'updated_at'        => format_date($detalle_facturas->updated_at),
        ];
    }
}