<?php

namespace Olger\IngVhiculo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FacturaTransformer extends TransformerAbstract
{
    public function transform(\Olger\IngVhiculo\Models\Factura $factura)
    {
        return [
            'id'                => $factura->getRouteKey(),
            'key'               => [
                'public'    => $factura->getPublicKey(),
                'route'     => $factura->getRouteKey(),
            ], 
            'usuario_id'        => $factura->usuario_id,
            'no_factura'        => $factura->no_factura,
            'fecha'             => $factura->fecha,
            'cliente'           => $factura->cliente,
            'documento_id'      => $factura->documento_id,
            'direccion'         => $factura->direccion,
            'telefono'          => $factura->telefono,
            'no_orden_entrega'  => $factura->no_orden_entrega,
            'ingreso_vehiculos_id' => $factura->ingreso_vehiculos_id,
            'estado'            => $factura->estado,
            'observaciones'     => $factura->observaciones,
            'url'               => [
                'public'    => trans_url('ing_vhiculo/'.$factura->getPublicKey()),
                'user'      => guard_url('ing_vhiculo/factura/'.$factura->getRouteKey()),
            ], 
            'status'            => trans('app.'.$factura->status),
            'created_at'        => format_date($factura->created_at),
            'updated_at'        => format_date($factura->updated_at),
        ];
    }
}