<?php

namespace Olger\IngVhiculo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FotoTransformer extends TransformerAbstract
{
    public function transform(\Olger\IngVhiculo\Models\Foto $foto)
    {
        return [
            'id'                => $foto->getRouteKey(),
            'key'               => [
                'public'    => $foto->getPublicKey(),
                'route'     => $foto->getRouteKey(),
            ], 
            'ingreso_vehiculos_id' => $foto->ingreso_vehiculos_id,
            'ruta_foto'         => $foto->ruta_foto,
            'url'               => [
                'public'    => trans_url('ing_vhiculo/'.$foto->getPublicKey()),
                'user'      => guard_url('ing_vhiculo/foto/'.$foto->getRouteKey()),
            ], 
            'status'            => trans('app.'.$foto->status),
            'created_at'        => format_date($foto->created_at),
            'updated_at'        => format_date($foto->updated_at),
        ];
    }
}