<?php

namespace Olger\IngVhiculo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class IngresoVehiculoTransformer extends TransformerAbstract
{
    public function transform(\Olger\IngVhiculo\Models\IngresoVehiculo $ingreso_vehiculo)
    {
        return [
            'id'                => $ingreso_vehiculo->getRouteKey(),
            'key'               => [
                'public'    => $ingreso_vehiculo->getPublicKey(),
                'route'     => $ingreso_vehiculo->getRouteKey(),
            ], 
            'usuario_id'        => $ingreso_vehiculo->usuario_id,
            'fecha'             => $ingreso_vehiculo->fecha,
            'hora'              => $ingreso_vehiculo->hora,
            'camabaja_id'       => $ingreso_vehiculo->camabaja_id,
            'conductor_camabaja' => $ingreso_vehiculo->conductor_camabaja,
            'policia'           => $ingreso_vehiculo->policia,
            'clase_vehiculo_id' => $ingreso_vehiculo->clase_vehiculo_id,
            'placa'             => $ingreso_vehiculo->placa,
            'pais'              => $ingreso_vehiculo->pais,
            'marca'             => $ingreso_vehiculo->marca,
            'modelo'            => $ingreso_vehiculo->modelo,
            'color'             => $ingreso_vehiculo->color,
            'id_chasis'         => $ingreso_vehiculo->id_chasis,
            'id_motor'          => $ingreso_vehiculo->id_motor,
            'encustodia'        => $ingreso_vehiculo->encustodia,
            'comparendo'        => $ingreso_vehiculo->comparendo,
            'servicio_grua'     => $ingreso_vehiculo->servicio_grua,
            'fecha_salida'      => $ingreso_vehiculo->fecha_salida,
            'hora_salida'       => $ingreso_vehiculo->hora_salida,
            'facturado'         => $ingreso_vehiculo->facturado,
            'observaciones'     => $ingreso_vehiculo->observaciones,
            'estado'            => $ingreso_vehiculo->estado,
            'url'               => [
                'public'    => trans_url('ing_vhiculo/'.$ingreso_vehiculo->getPublicKey()),
                'user'      => guard_url('ing_vhiculo/ingreso_vehiculo/'.$ingreso_vehiculo->getRouteKey()),
            ], 
            'status'            => trans('app.'.$ingreso_vehiculo->status),
            'created_at'        => format_date($ingreso_vehiculo->created_at),
            'updated_at'        => format_date($ingreso_vehiculo->updated_at),
        ];
    }
}