<?php

namespace Olger\IngVhiculo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TarifaTransformer extends TransformerAbstract
{
    public function transform(\Olger\IngVhiculo\Models\Tarifa $tarifa)
    {
        return [
            'id'                => $tarifa->getRouteKey(),
            'key'               => [
                'public'    => $tarifa->getPublicKey(),
                'route'     => $tarifa->getRouteKey(),
            ], 
            'descripcion'       => $tarifa->descripcion,
            'clase_vehiculo_id' => $tarifa->clase_vehiculo_id,
            'valor_tarifa'      => $tarifa->valor_tarifa,
            'aplica_iva'        => $tarifa->aplica_iva,
            'aplica_descuento'  => $tarifa->aplica_descuento,
            'descuento_id'      => $tarifa->descuento_id,
            'url'               => [
                'public'    => trans_url('ing_vhiculo/'.$tarifa->getPublicKey()),
                'user'      => guard_url('ing_vhiculo/tarifa/'.$tarifa->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tarifa->status),
            'created_at'        => format_date($tarifa->created_at),
            'updated_at'        => format_date($tarifa->updated_at),
        ];
    }
}